import {Notification} from "./../../../../node_modules/pragma-core/lib/models/notification.js";

export class IndexedDbResponse {
    constructor(result, notification) {
        if (notification != null) {
            this.notification = notification;
        } else {
            this.notification = new Notification();
        }

        this.result = result;
    }

    static createFrom(object) {
        let result = null;
        if (object != null) {
            result = new IndexedDbResponse(object.result, Notification.createFrom(object.notification));
        }

        return result;
    }

    isValid() {
        return this.notification.isValid();
    }

}