import * as StorageConstants from "./storage-constants.js";

export class LocalStoreBase {

    _onBlockedHandler(event, response, promiseResolve) {
        response.notification.addError(StorageConstants.Errors.IndexedDbOnBlocked, "Operation was blocked");
        promiseResolve(response);
    }

    _onErrorHandler(event, response, promiseResolve) {
        response.notification.addError(StorageConstants.Errors.IndexedDbGeneral, event.error);
        promiseResolve(response);
    }

    _onSuccessHandler(event, response, promiseResolve) {
        response.result = event.target.result;
        promiseResolve(response);
    }
}